@charset "utf-8";

.onboarding-wrap {padding: 0; margin: 0;background:#fff;}
/* 전체 */
.onboarding{
	height:100vh;
	display:flex;
	flex-direction:column;
	background:#fff;
	padding-bottom: 50px;
}
.ob-header {
	position: relative;
	width: 100%;
	padding-top: 70px;
}
.ob-skip{
  position: absolute;
  top:10px;
  right:15px;
  cursor:pointer;
  font-size:14px;
  color:rgba(0,0,0,0.3);
  border-bottom: 1px solid rgba(0,0,0,0.3);
  padding: 0;
}
.ob-dots{
	display:flex;
	gap:6px;
	justify-content:center;
	align-items:center;
	margin-bottom: 30px;
}
.ob-dots .dot{
  width:10px;
  height:10px;
  border-radius:999px;
  border:0;
  background:#d9d9d9;
  padding:0;
  cursor:pointer;
  transition:all .18s ease;
}
.ob-dots .dot.is-active{
  width: 30px;
  height: 10px;
  background:#5275F8;
}
.ob-main{
	width: 100%;
	height: calc(100% - 100px);
	overflow-x: auto;
	overflow-y: hidden;
	scroll-snap-type : x mandatory;
	-webkit-overflow-scrolling: touch;
	touch-action: pan-y;
}
.ob-main::-webkit-scrollbar {display: none;}
.ob-track{
	display:flex;
	/*transition:transform .25s ease;
	will-change:transform;
	touch-action: pan-y;*/
	height: 100%;
}
.ob-card{
	width: 100%;
	height:100%;
	overflow-y: auto;
	flex: 0 0 100%;
	scroll-snap-align: start;
}
.ob-card::-webkit-scrollbar {
	width: 5px;
	background: #f5f5f5;
	border-radius: 5px;
}
.ob-card::-webkit-scrollbar-thumb {
	background: #5275F8;
	border-radius: 5px;
}
.ob-content{
	width: 310px;
	height:100%;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: end;
	align-items: center;
	min-height: 590px;
}
.ob-content .card-title {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 15px;
	margin-bottom: 25px;
}
.ob-content h2 {
	font-family: 'Paperlogy';
	font-weight: 700;
	font-size: 24px;
	color: #000;
	letter-spacing: -0.5px;
}
.ob-content h2 span {color:#5275F8;}
.ob-content p {
	color: rgba(0,0,0,0.5);
	font-size: 15px;
}

.ob-content .img-box { width: 100%; height: 450px;}
.ob-content01 .img-box {background: url('/basic_img/onboarding/kape_ob_card01.png') no-repeat center top / 100% auto;}
.ob-content02 .img-box {background: url('/basic_img/onboarding/kape_ob_card02.png') no-repeat center top / 100% auto;}
.ob-content03 .img-box {background: url('/basic_img/onboarding/kape_ob_card03.png') no-repeat center top / 100% auto;}
.ob-content04 .img-box {background: url('/basic_img/onboarding/kape_ob_card04.png') no-repeat center top / 100% auto;}
.ob-content05 .img-box {background: url('/basic_img/onboarding/kape_ob_card05.png') no-repeat center top / 100% auto;}

/* 하단 버튼 */
.ob-next{
	position: fixed;
	bottom: 0;
	left: 0;
  width:100%;
  height:50px;
  background:#5275F8;
  color:#fff;
  font-size:18px;
  cursor:pointer;
  font-family: var(--fontfamilyG);
  font-weight: normal;
}

@media (min-width: 600px) {
	.onboarding {padding-bottom: 70px;}
	.ob-skip {font-size: 18px;}
	.ob-content{
		width: 400px;
		min-height: 750px;
	}
	.ob-content .card-title {gap: 20px; margin-bottom: 50px;}
	.ob-content h2 {font-size: 30px;}
	.ob-content p {font-size: 20px; letter-spacing: -0.5px; }
	.ob-content .img-box {height: 580px;}
	.ob-next {height: 70px; font-size: 24px;}
}